/*
    This file is part of GnuCode.
    Copyright (C) 2012 Jacob Dawid, jacob.dawid@googlemail.com

    GnuCode is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    GnuCode is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GnuCode. If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FIND_DIALOG_H
#define FIND_DIALOG_H

#include <QDialog>
#include <Qsci/qsciscintilla.h>

class QCheckBox;
class QDialogButtonBox;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;

class find_dialog : public QDialog
{
  Q_OBJECT
  public:
  find_dialog (QsciScintilla* edit_area, QWidget *parent = 0);

private slots:
  void search_next ();
  void replace ();
  void replace_all ();

private:
  QLabel            *_search_label;
  QLineEdit         *_search_line_edit;
  QLabel            *_replace_label;
  QLineEdit         *_replace_line_edit;
  QCheckBox         *_case_check_box;
  QCheckBox         *_from_start_check_box;
  QCheckBox         *_wrap_check_box;
  QCheckBox         *_whole_words_check_box;
  QCheckBox         *_regex_check_box;
  QCheckBox         *_search_selection_check_box;
  QCheckBox         *_backward_check_box;
  QDialogButtonBox  *_button_box;
  QPushButton       *_find_next_button;
  QPushButton       *_replace_button;
  QPushButton       *_replace_all_button;
  QPushButton       *_more_button;
  QWidget           *_extension;
  QsciScintilla     *_edit_area;
  bool               _find_result_available;
};

#endif // FIND_DIALOG_H

