/*
    This file is part of GnuCode.
    Copyright (C) 2012 Jacob Dawid, jacob.dawid@googlemail.com

    GnuCode is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    GnuCode is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GnuCode. If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SOURCECODEEDITOR_H
#define SOURCECODEEDITOR_H

#include <QWidget>
#include <Qsci/qsciscintilla.h>
#include <Qsci/qscilexercpp.h>
#include <QMenuBar>

#include "finddialog.h"

namespace Ui
{
  class SourceCodeEditor;
}

class SourceCodeEditor:public QWidget
{
Q_OBJECT public:
  explicit SourceCodeEditor (QWidget * parent = 0);
  ~SourceCodeEditor ();

  void setFileName (QString fileName);

public slots:
  void saveFile ();
  void searchFile ();

private slots:
  void update_window_title (bool modified);

private:
  Ui::SourceCodeEditor * ui;
  QMenuBar *_menuBar;
  QsciScintilla *_editor;
  QsciLexer *_lexer;
  QString _currentFileName;
  find_dialog *_find_dialog;
};

#endif // SOURCECODEEDITOR_H
